# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cat <<EOF
<div class="select">
  <span class="label">$(l10n filter_label)</span>
  <form class="search" action="?action=select_mailing" method="POST">

    <div class="selectlist">
      <span class="label">$(l10n select_courses):</span>
      <select name="courses" multiple="multiple">
	$(listcourses |while read course; do
	  name="$(sed -rn 's:^SUMMARY(;.+)*\:(.*)\r$:\2:p' "$_DATA/ical/$course")"
	  echo '<option value="'$course'">'$name'</option>'
	done)
      </select>'
    </div>

    <div class="selectlist">
      <span class="label">$(l10n select_attendees):</span>
      <select name="courses" multiple="multiple">
	$(listcards |while read card; do
	  n_last="$(  sed -rn 's:^N(;.+)*\:([^;]*;){0} *([^;]*).*$:\3:p' "$_DATA/vcard/$card")"
	  n_first="$( sed -rn 's:^N(;.+)*\:([^;]*;){1} *([^;]*).*$:\3:p' "$_DATA/vcard/$card")"
	  n_middle="$(sed -rn 's:^N(;.+)*\:([^;]*;){2} *([^;]*).*$:\3:p' "$_DATA/vcard/$card")"
	  n_pre="$(   sed -rn 's:^N(;.+)*\:([^;]*;){3} *([^;]*).*$:\3:p' "$_DATA/vcard/$card")"
	  n_post="$(  sed -rn 's:^N(;.+)*\:([^;]*;){4} *([^;]*).*$:\3:p' "$_DATA/vcard/$card")"
	  name="${n_pre} ${n_first} ${n_middle} ${n_last} ${n_post}"
	  echo '<option value="'$card'">'$name'</option>'
	done)
      </select>'
    </div>

    <button type="submit" name="choice" value="new_selection">$(l10n selection_apply)</button>
    <button type="submit" name="choice" value="del_selection">$(l10n selection_clear)</button>
  </form>
</div>

<div class="maillist">
$(
)
</div>
EOF

# vi:set filetype=html:
